<?php
define('x_1', 'Unknown'); 
define('x_2', 'Unknown'); 
define('x_3', '0'); 
define('x_4', 312); 
define('x_5', 399); 
define('x_6', 412); 
define('x_7', 419); 
define('x_8', 420); 
define('x_9', 599); 
class x_a { 
private $x_b = array ( 
'MSIE' => array('major' => 6, 'minor' => 0), 
'Firefox' => array('major' => 1, 'minor' => 5), 
'Safari' => array('major' => 1, 'minor' => 3) 
); 
public function __construct($x_b = Array()) { 
if (is_array($x_b) && !empty($x_b)) { 
$this->x_b = $x_b; 
} 
$x_c = $_SERVER['HTTP_USER_AGENT']; 
$x_d['platform'] = x_1; 
$x_d['browser'] = x_2; 
$x_d['version']['major'] = x_3; 
$x_d['version']['minor'] = x_3; 
if (stripos($x_c, 'win')) { 
$x_d['platform'] = 'Windows'; 
} elseif (stripos($x_c, 'mac')) { 
$x_d['platform'] = 'MacIntosh'; 
} elseif (stripos($x_c, 'linux')) { 
$x_d['platform'] = 'Linux'; 
} 
if ((FALSE !== stripos($x_c, 'msie')) && (FALSE === stripos($x_c, 'opera'))) { 
$x_d['browser'] = 'MSIE'; 
$x_e = explode(' ', stristr( $x_c, 'msie')); 
$x_f = $x_e[1]; 
$x_g = strpos($x_f, '.'); 
$x_d['version']['major'] = (int) substr($x_f, 0, $x_g); 
$x_d['version']['minor'] = (int) substr($x_f, $x_g+1, strpos($x_f, '.', $x_g)); 
$x_d['style'] = ' ie ie' . $x_d['version']['major'] . $x_d['version']['minor']; 
} elseif (FALSE !== stripos($x_c, 'firefox')) { 
$x_d['browser'] = 'Firefox'; 
$x_e = stristr($x_c, 'firefox'); 
$x_e = explode('/', $x_e); 
$x_f = $x_e[1]; 
$x_g = strpos($x_f, '.'); 
$x_d['version']['major'] = (int) substr($x_f, 0, $x_g); 
$x_d['version']['minor'] = (int) substr($x_f, $x_g+1, strpos($x_f, '.', $x_g)); 
$x_d['style'] = ' ff ff' . $x_d['version']['major'] . $x_d['version']['minor']; 
} elseif ((FALSE !== stripos($x_c, 'safari')) && (FALSE === stripos($x_c, 'omniweb'))) { 
$x_d['browser'] = 'Safari'; 
$x_e = explode(' ', stristr( strtolower($x_c), 'applewebkit/')); 
$x_h = (int) str_replace( 'applewebkit/', '', $x_e[0]); 
if (x_4 > $x_h) { 
$x_d['version']['major'] = 1; 
$x_d['version']['minor'] = 2; 
} elseif (x_6 > $x_h) { 
$x_d['version']['major'] = 1; 
$x_d['version']['minor'] = 3; 
} elseif (x_8 > $x_h) { 
$x_d['version']['major'] = 2; 
$x_d['version']['minor'] = 0; 
} else { 
$x_d['version']['major'] = 3; 
$x_d['version']['minor'] = 0; 
} 
$x_d['style'] = ' sf sf' . $x_d['version']['major'] . $x_d['version']['minor']; 
} 
$this->x_d = $x_d; 
} 
public function x_i() { 
if (($this->x_d['platform'] != x_1) && 
($this->x_d['browser'] != x_1)) { 
$x_j = $this->x_d['browser']; 
$x_k = $this->x_b; 
if ($x_k[$x_j]['major'] > $this->x_d['version']['major']) { 
return FALSE; 
} 
if ($x_k[$x_j]['major'] < $this->x_d['version']['major']) { 
return TRUE; 
} 
if ($x_k[$x_j]['minor'] <= $this->x_d['version']['minor']) { 
return TRUE; 
} 
} 
return FALSE; 
} 
public function x_l() { 
if ($this->x_i()) { 
return $this->x_d['style']; 
} 
return ''; 
} 
} 
?>